Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgPolygonCollection Class Reference
[MgPolygonCollection]

MgPolygonCollection provides support for defining an ordered set of polygons. More...

Inherits MgGuardDisposable.

List of all members.

## Public Member Functions
virtual void | Add (MgPolygon *value)
| Adds the specified coordinate to the end of the collection.
virtual void | Clear ()
| Removes all polygons from the collection.
virtual bool | Contains (const MgPolygon *value) const
| Returns true if the collection contains the specified polygon, false otherwise.
virtual INT32 | GetCount () const
| Gets the number of polygons in the collection.
virtual MgPolygon * | GetItem (INT32 index) const
| Gets the polygon in the collection at the specified index. Throws an invalid argument exception if the index is out of range.
virtual INT32 | IndexOf (const MgPolygon *value) const
| Returns the index of the specified polygon in the collection or -1 if the polygon does not exist.
virtual void | Insert (INT32 index, MgPolygon *value)
| Inserts the specified polygon at the specified index within the collection. Items following the insertion point are moved down to accommodate the new item. Throws an invalid argument exception if the specified index is out of range.
| MgPolygonCollection ()
| Construct a MgPolygonCollection object.
virtual bool | Remove (const MgPolygon *value)
| Removes the specified polygon from the collection.
virtual void | RemoveAt (INT32 index)
| Removes the polygon at the specified index from the collection. Throws an invalid argument exception if the index does not exist within the collection.
virtual void | SetItem (INT32 index, MgPolygon *value)
| Sets the polygon in the collection at the specified index to the specified value. Throws an invalid argument exception if the index is out of range.

## Detailed Description

MgPolygonCollection provides support for defining an ordered set of polygons.

Comments or suggestions? Send us feedback.